var DfGameAdSdk = function () {
    console.log("CreateGameSdk");
};
var JaveHelpFile = "com/welcome/common/AppJavaHelper";

/*

loadRewardAd
showRewardAd
loadInsertAd
showInsertAd
showBannerAd
hideAdsBanner
startRecorder
stopRecorder
shareRecorder
showMore

*/

var CreateGameSdk = (function () {
    var instance;
    return function () {
        if (!instance) {
            instance = new DfGameAdSdk();
        }
        return instance;
    }
})();


DfGameAdSdk.prototype.loadRewardAd = function (callback) {
    console.log("开始加载激励广告");
    window.loadRewardAdCallBack = function(success,errormsg){
        console.log("loadRewardAd success = " +  success);
        if(success){
            callback && callback(true)
        }else{
            console.log("loadRewardAd error = " +  errormsg);
        }
    }
    jsb.reflection.callStaticMethod(JaveHelpFile, "loadRewardAd", "()V");
};

DfGameAdSdk.prototype.showRewardAd = function (callback) {
    console.log("开始展示激励广告");
    window.showRewardAdCallBack = function(success,errormsg){
        console.log("showRewardAd success = " +  success);
        if(success){
            callback && callback(true)
        }else{
            console.log("showRewardAd error = " +  errormsg);
        }
    }
    jsb.reflection.callStaticMethod(JaveHelpFile, "showRewardAd", "()V");
};

DfGameAdSdk.prototype.loadInsertAd = function (callback) {
    console.log("开始加载插屏广告");
    window.loadInsertAdCallBack = function(success,errormsg){
        console.log("loadInsertAd success = " +  success);
        if(success){
            callback && callback(true)
        }else{
            console.log("loadInsertAd error = " +  errormsg);
        }
    }
    jsb.reflection.callStaticMethod(JaveHelpFile, "loadInsertAd", "()V");

};

DfGameAdSdk.prototype.showInsertAd = function (callback) {
    console.log("开始展示插屏广告");
    window.showInsertAdCallBack = function(success,errormsg){
        console.log("showInsertAd success = " +  success);
        if(success){
            callback && callback(true)
        }else{
            callback && callback(false)
            console.log("showInsertAd error = " +  errormsg);
        }
    }
    jsb.reflection.callStaticMethod(JaveHelpFile, "showInsertAd", "()V");
};

DfGameAdSdk.prototype.showInsertAd = function (msg,callback) {
    console.log("开始展示插屏广告" + msg);
    window.showInsertAdCallBack = function(success,errormsg){
        console.log("showInsertAd success = " +  success);
        if(success){
            callback && callback(true)
        }else{
            callback && callback(false)
            console.log("showInsertAd error = " +  errormsg);
        }
    }
    jsb.reflection.callStaticMethod(JaveHelpFile, "showInsertAd", "(Ljava/lang/String;)V",msg);
};

DfGameAdSdk.prototype.showBannerAd = function (callback) {
    window.showBannerAdCallBack = function(success,errormsg){
        console.log("showBannerAd success = " +  success);
        if(success){
            callback && callback(true)
        }else{
            console.log("showBannerAd error = " +  errormsg);
        }
    }
    jsb.reflection.callStaticMethod(JaveHelpFile, "showBannerAd", "()V");
};

DfGameAdSdk.prototype.hideAdsBanner = function() {
    console.log("banner 广告隐藏");
    window.hideAdsBannerCallBack = function(success,errormsg){
        console.log("hideAdsBanner success = " +  success);
        if(success){

        }else{
            console.log("hideAdsBanner error = " +  errormsg);
        }
    }
    jsb.reflection.callStaticMethod(JaveHelpFile, "hideAdsBanner", "()V");
};

DfGameAdSdk.prototype.startRecorder = function (callback) {
    return;
};

DfGameAdSdk.prototype.stopRecorder = function (callback) {
    return;
};

DfGameAdSdk.prototype.shareRecorder = function (callback) {
    return;

};

DfGameAdSdk.prototype.setMoreGameInfo = function (game_info) {
	return;
}

/*
tt.getSystemInfo({
    success(res) {
        dfGameAdSdk.showMore({
            left: 15,
            top: res.screenHeight-140,
            width: 60,
            height: 60
        });
    },
    fail(res) {
      console.log(`getSystemInfo 调用失败`);
    },
});*/

DfGameAdSdk.prototype.showMore =function (stylearray) {
    jsb.reflection.callStaticMethod(JaveHelpFile, "showMore", "()V");
}

DfGameAdSdk.prototype.hideMore =function () {
    return;
}

DfGameAdSdk.prototype.showExit =function (stylearray) {
    jsb.reflection.callStaticMethod(JaveHelpFile, "showExit", "()V");
}

DfGameAdSdk.prototype.showMore2 =function (stylearray) {
    jsb.reflection.callStaticMethod(JaveHelpFile, "showMore2", "()V");
}

DfGameAdSdk.prototype.showRate =function (stylearray) {
    jsb.reflection.callStaticMethod(JaveHelpFile, "showRate", "()V");
}


DfGameAdSdk.prototype.onlyShowMore=function(){
    return;
}
DfGameAdSdk.prototype.login=function(t){
    return;
}

window.dfGameAdSdk = CreateGameSdk();